Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network48.0.0.0/8
Usable hosts16,777,214
Subnet mask255.0.0.0
Addresses16,777,216
Network address
48.0.0.0
Broadcast address
48.255.255.255
First usable
48.0.0.1
Last usable
48.255.255.254
Usable hosts
16,777,214 (16,777,216 less the network and broadcast addresses)
Subnet mask
255.0.0.0
Wildcard mask
0.255.255.255 (Cisco ACLs, OSPF)
Prefix length
/8
Type
Public public
Old class
A (default /8)
As numbers
Hex 30000000 · Integer 805306368 to 822083583
Reverse DNS zone
48.in-addr.arpa
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address00110000..00000000.00000000.0000000048.0.0.0
Subnet mask11111111..00000000.00000000.00000000255.0.0.0
Network00110000..00000000.00000000.0000000048.0.0.0
Broadcast00110000..11111111.11111111.1111111148.255.255.255
Split into smaller subnets/19

48.0.0.0/8 makes 2,048 subnets of /19; the first 256 are listed.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
148.0.0.0/1948.0.0.1 to 48.0.31.25448.0.31.2558,190
248.0.32.0/1948.0.32.1 to 48.0.63.25448.0.63.2558,190
348.0.64.0/1948.0.64.1 to 48.0.95.25448.0.95.2558,190
448.0.96.0/1948.0.96.1 to 48.0.127.25448.0.127.2558,190
548.0.128.0/1948.0.128.1 to 48.0.159.25448.0.159.2558,190
648.0.160.0/1948.0.160.1 to 48.0.191.25448.0.191.2558,190
748.0.192.0/1948.0.192.1 to 48.0.223.25448.0.223.2558,190
848.0.224.0/1948.0.224.1 to 48.0.255.25448.0.255.2558,190
948.1.0.0/1948.1.0.1 to 48.1.31.25448.1.31.2558,190
1048.1.32.0/1948.1.32.1 to 48.1.63.25448.1.63.2558,190
1148.1.64.0/1948.1.64.1 to 48.1.95.25448.1.95.2558,190
1248.1.96.0/1948.1.96.1 to 48.1.127.25448.1.127.2558,190
1348.1.128.0/1948.1.128.1 to 48.1.159.25448.1.159.2558,190
1448.1.160.0/1948.1.160.1 to 48.1.191.25448.1.191.2558,190
1548.1.192.0/1948.1.192.1 to 48.1.223.25448.1.223.2558,190
1648.1.224.0/1948.1.224.1 to 48.1.255.25448.1.255.2558,190
1748.2.0.0/1948.2.0.1 to 48.2.31.25448.2.31.2558,190
1848.2.32.0/1948.2.32.1 to 48.2.63.25448.2.63.2558,190
1948.2.64.0/1948.2.64.1 to 48.2.95.25448.2.95.2558,190
2048.2.96.0/1948.2.96.1 to 48.2.127.25448.2.127.2558,190
2148.2.128.0/1948.2.128.1 to 48.2.159.25448.2.159.2558,190
2248.2.160.0/1948.2.160.1 to 48.2.191.25448.2.191.2558,190
2348.2.192.0/1948.2.192.1 to 48.2.223.25448.2.223.2558,190
2448.2.224.0/1948.2.224.1 to 48.2.255.25448.2.255.2558,190
2548.3.0.0/1948.3.0.1 to 48.3.31.25448.3.31.2558,190
2648.3.32.0/1948.3.32.1 to 48.3.63.25448.3.63.2558,190
2748.3.64.0/1948.3.64.1 to 48.3.95.25448.3.95.2558,190
2848.3.96.0/1948.3.96.1 to 48.3.127.25448.3.127.2558,190
2948.3.128.0/1948.3.128.1 to 48.3.159.25448.3.159.2558,190
3048.3.160.0/1948.3.160.1 to 48.3.191.25448.3.191.2558,190
3148.3.192.0/1948.3.192.1 to 48.3.223.25448.3.223.2558,190
3248.3.224.0/1948.3.224.1 to 48.3.255.25448.3.255.2558,190
3348.4.0.0/1948.4.0.1 to 48.4.31.25448.4.31.2558,190
3448.4.32.0/1948.4.32.1 to 48.4.63.25448.4.63.2558,190
3548.4.64.0/1948.4.64.1 to 48.4.95.25448.4.95.2558,190
3648.4.96.0/1948.4.96.1 to 48.4.127.25448.4.127.2558,190
3748.4.128.0/1948.4.128.1 to 48.4.159.25448.4.159.2558,190
3848.4.160.0/1948.4.160.1 to 48.4.191.25448.4.191.2558,190
3948.4.192.0/1948.4.192.1 to 48.4.223.25448.4.223.2558,190
4048.4.224.0/1948.4.224.1 to 48.4.255.25448.4.255.2558,190
4148.5.0.0/1948.5.0.1 to 48.5.31.25448.5.31.2558,190
4248.5.32.0/1948.5.32.1 to 48.5.63.25448.5.63.2558,190
4348.5.64.0/1948.5.64.1 to 48.5.95.25448.5.95.2558,190
4448.5.96.0/1948.5.96.1 to 48.5.127.25448.5.127.2558,190
4548.5.128.0/1948.5.128.1 to 48.5.159.25448.5.159.2558,190
4648.5.160.0/1948.5.160.1 to 48.5.191.25448.5.191.2558,190
4748.5.192.0/1948.5.192.1 to 48.5.223.25448.5.223.2558,190
4848.5.224.0/1948.5.224.1 to 48.5.255.25448.5.255.2558,190
4948.6.0.0/1948.6.0.1 to 48.6.31.25448.6.31.2558,190
5048.6.32.0/1948.6.32.1 to 48.6.63.25448.6.63.2558,190
5148.6.64.0/1948.6.64.1 to 48.6.95.25448.6.95.2558,190
5248.6.96.0/1948.6.96.1 to 48.6.127.25448.6.127.2558,190
5348.6.128.0/1948.6.128.1 to 48.6.159.25448.6.159.2558,190
5448.6.160.0/1948.6.160.1 to 48.6.191.25448.6.191.2558,190
5548.6.192.0/1948.6.192.1 to 48.6.223.25448.6.223.2558,190
5648.6.224.0/1948.6.224.1 to 48.6.255.25448.6.255.2558,190
5748.7.0.0/1948.7.0.1 to 48.7.31.25448.7.31.2558,190
5848.7.32.0/1948.7.32.1 to 48.7.63.25448.7.63.2558,190
5948.7.64.0/1948.7.64.1 to 48.7.95.25448.7.95.2558,190
6048.7.96.0/1948.7.96.1 to 48.7.127.25448.7.127.2558,190
6148.7.128.0/1948.7.128.1 to 48.7.159.25448.7.159.2558,190
6248.7.160.0/1948.7.160.1 to 48.7.191.25448.7.191.2558,190
6348.7.192.0/1948.7.192.1 to 48.7.223.25448.7.223.2558,190
6448.7.224.0/1948.7.224.1 to 48.7.255.25448.7.255.2558,190
6548.8.0.0/1948.8.0.1 to 48.8.31.25448.8.31.2558,190
6648.8.32.0/1948.8.32.1 to 48.8.63.25448.8.63.2558,190
6748.8.64.0/1948.8.64.1 to 48.8.95.25448.8.95.2558,190
6848.8.96.0/1948.8.96.1 to 48.8.127.25448.8.127.2558,190
6948.8.128.0/1948.8.128.1 to 48.8.159.25448.8.159.2558,190
7048.8.160.0/1948.8.160.1 to 48.8.191.25448.8.191.2558,190
7148.8.192.0/1948.8.192.1 to 48.8.223.25448.8.223.2558,190
7248.8.224.0/1948.8.224.1 to 48.8.255.25448.8.255.2558,190
7348.9.0.0/1948.9.0.1 to 48.9.31.25448.9.31.2558,190
7448.9.32.0/1948.9.32.1 to 48.9.63.25448.9.63.2558,190
7548.9.64.0/1948.9.64.1 to 48.9.95.25448.9.95.2558,190
7648.9.96.0/1948.9.96.1 to 48.9.127.25448.9.127.2558,190
7748.9.128.0/1948.9.128.1 to 48.9.159.25448.9.159.2558,190
7848.9.160.0/1948.9.160.1 to 48.9.191.25448.9.191.2558,190
7948.9.192.0/1948.9.192.1 to 48.9.223.25448.9.223.2558,190
8048.9.224.0/1948.9.224.1 to 48.9.255.25448.9.255.2558,190
8148.10.0.0/1948.10.0.1 to 48.10.31.25448.10.31.2558,190
8248.10.32.0/1948.10.32.1 to 48.10.63.25448.10.63.2558,190
8348.10.64.0/1948.10.64.1 to 48.10.95.25448.10.95.2558,190
8448.10.96.0/1948.10.96.1 to 48.10.127.25448.10.127.2558,190
8548.10.128.0/1948.10.128.1 to 48.10.159.25448.10.159.2558,190
8648.10.160.0/1948.10.160.1 to 48.10.191.25448.10.191.2558,190
8748.10.192.0/1948.10.192.1 to 48.10.223.25448.10.223.2558,190
8848.10.224.0/1948.10.224.1 to 48.10.255.25448.10.255.2558,190
8948.11.0.0/1948.11.0.1 to 48.11.31.25448.11.31.2558,190
9048.11.32.0/1948.11.32.1 to 48.11.63.25448.11.63.2558,190
9148.11.64.0/1948.11.64.1 to 48.11.95.25448.11.95.2558,190
9248.11.96.0/1948.11.96.1 to 48.11.127.25448.11.127.2558,190
9348.11.128.0/1948.11.128.1 to 48.11.159.25448.11.159.2558,190
9448.11.160.0/1948.11.160.1 to 48.11.191.25448.11.191.2558,190
9548.11.192.0/1948.11.192.1 to 48.11.223.25448.11.223.2558,190
9648.11.224.0/1948.11.224.1 to 48.11.255.25448.11.255.2558,190
9748.12.0.0/1948.12.0.1 to 48.12.31.25448.12.31.2558,190
9848.12.32.0/1948.12.32.1 to 48.12.63.25448.12.63.2558,190
9948.12.64.0/1948.12.64.1 to 48.12.95.25448.12.95.2558,190
10048.12.96.0/1948.12.96.1 to 48.12.127.25448.12.127.2558,190
10148.12.128.0/1948.12.128.1 to 48.12.159.25448.12.159.2558,190
10248.12.160.0/1948.12.160.1 to 48.12.191.25448.12.191.2558,190
10348.12.192.0/1948.12.192.1 to 48.12.223.25448.12.223.2558,190
10448.12.224.0/1948.12.224.1 to 48.12.255.25448.12.255.2558,190
10548.13.0.0/1948.13.0.1 to 48.13.31.25448.13.31.2558,190
10648.13.32.0/1948.13.32.1 to 48.13.63.25448.13.63.2558,190
10748.13.64.0/1948.13.64.1 to 48.13.95.25448.13.95.2558,190
10848.13.96.0/1948.13.96.1 to 48.13.127.25448.13.127.2558,190
10948.13.128.0/1948.13.128.1 to 48.13.159.25448.13.159.2558,190
11048.13.160.0/1948.13.160.1 to 48.13.191.25448.13.191.2558,190
11148.13.192.0/1948.13.192.1 to 48.13.223.25448.13.223.2558,190
11248.13.224.0/1948.13.224.1 to 48.13.255.25448.13.255.2558,190
11348.14.0.0/1948.14.0.1 to 48.14.31.25448.14.31.2558,190
11448.14.32.0/1948.14.32.1 to 48.14.63.25448.14.63.2558,190
11548.14.64.0/1948.14.64.1 to 48.14.95.25448.14.95.2558,190
11648.14.96.0/1948.14.96.1 to 48.14.127.25448.14.127.2558,190
11748.14.128.0/1948.14.128.1 to 48.14.159.25448.14.159.2558,190
11848.14.160.0/1948.14.160.1 to 48.14.191.25448.14.191.2558,190
11948.14.192.0/1948.14.192.1 to 48.14.223.25448.14.223.2558,190
12048.14.224.0/1948.14.224.1 to 48.14.255.25448.14.255.2558,190
12148.15.0.0/1948.15.0.1 to 48.15.31.25448.15.31.2558,190
12248.15.32.0/1948.15.32.1 to 48.15.63.25448.15.63.2558,190
12348.15.64.0/1948.15.64.1 to 48.15.95.25448.15.95.2558,190
12448.15.96.0/1948.15.96.1 to 48.15.127.25448.15.127.2558,190
12548.15.128.0/1948.15.128.1 to 48.15.159.25448.15.159.2558,190
12648.15.160.0/1948.15.160.1 to 48.15.191.25448.15.191.2558,190
12748.15.192.0/1948.15.192.1 to 48.15.223.25448.15.223.2558,190
12848.15.224.0/1948.15.224.1 to 48.15.255.25448.15.255.2558,190
12948.16.0.0/1948.16.0.1 to 48.16.31.25448.16.31.2558,190
13048.16.32.0/1948.16.32.1 to 48.16.63.25448.16.63.2558,190
13148.16.64.0/1948.16.64.1 to 48.16.95.25448.16.95.2558,190
13248.16.96.0/1948.16.96.1 to 48.16.127.25448.16.127.2558,190
13348.16.128.0/1948.16.128.1 to 48.16.159.25448.16.159.2558,190
13448.16.160.0/1948.16.160.1 to 48.16.191.25448.16.191.2558,190
13548.16.192.0/1948.16.192.1 to 48.16.223.25448.16.223.2558,190
13648.16.224.0/1948.16.224.1 to 48.16.255.25448.16.255.2558,190
13748.17.0.0/1948.17.0.1 to 48.17.31.25448.17.31.2558,190
13848.17.32.0/1948.17.32.1 to 48.17.63.25448.17.63.2558,190
13948.17.64.0/1948.17.64.1 to 48.17.95.25448.17.95.2558,190
14048.17.96.0/1948.17.96.1 to 48.17.127.25448.17.127.2558,190
14148.17.128.0/1948.17.128.1 to 48.17.159.25448.17.159.2558,190
14248.17.160.0/1948.17.160.1 to 48.17.191.25448.17.191.2558,190
14348.17.192.0/1948.17.192.1 to 48.17.223.25448.17.223.2558,190
14448.17.224.0/1948.17.224.1 to 48.17.255.25448.17.255.2558,190
14548.18.0.0/1948.18.0.1 to 48.18.31.25448.18.31.2558,190
14648.18.32.0/1948.18.32.1 to 48.18.63.25448.18.63.2558,190
14748.18.64.0/1948.18.64.1 to 48.18.95.25448.18.95.2558,190
14848.18.96.0/1948.18.96.1 to 48.18.127.25448.18.127.2558,190
14948.18.128.0/1948.18.128.1 to 48.18.159.25448.18.159.2558,190
15048.18.160.0/1948.18.160.1 to 48.18.191.25448.18.191.2558,190
15148.18.192.0/1948.18.192.1 to 48.18.223.25448.18.223.2558,190
15248.18.224.0/1948.18.224.1 to 48.18.255.25448.18.255.2558,190
15348.19.0.0/1948.19.0.1 to 48.19.31.25448.19.31.2558,190
15448.19.32.0/1948.19.32.1 to 48.19.63.25448.19.63.2558,190
15548.19.64.0/1948.19.64.1 to 48.19.95.25448.19.95.2558,190
15648.19.96.0/1948.19.96.1 to 48.19.127.25448.19.127.2558,190
15748.19.128.0/1948.19.128.1 to 48.19.159.25448.19.159.2558,190
15848.19.160.0/1948.19.160.1 to 48.19.191.25448.19.191.2558,190
15948.19.192.0/1948.19.192.1 to 48.19.223.25448.19.223.2558,190
16048.19.224.0/1948.19.224.1 to 48.19.255.25448.19.255.2558,190
16148.20.0.0/1948.20.0.1 to 48.20.31.25448.20.31.2558,190
16248.20.32.0/1948.20.32.1 to 48.20.63.25448.20.63.2558,190
16348.20.64.0/1948.20.64.1 to 48.20.95.25448.20.95.2558,190
16448.20.96.0/1948.20.96.1 to 48.20.127.25448.20.127.2558,190
16548.20.128.0/1948.20.128.1 to 48.20.159.25448.20.159.2558,190
16648.20.160.0/1948.20.160.1 to 48.20.191.25448.20.191.2558,190
16748.20.192.0/1948.20.192.1 to 48.20.223.25448.20.223.2558,190
16848.20.224.0/1948.20.224.1 to 48.20.255.25448.20.255.2558,190
16948.21.0.0/1948.21.0.1 to 48.21.31.25448.21.31.2558,190
17048.21.32.0/1948.21.32.1 to 48.21.63.25448.21.63.2558,190
17148.21.64.0/1948.21.64.1 to 48.21.95.25448.21.95.2558,190
17248.21.96.0/1948.21.96.1 to 48.21.127.25448.21.127.2558,190
17348.21.128.0/1948.21.128.1 to 48.21.159.25448.21.159.2558,190
17448.21.160.0/1948.21.160.1 to 48.21.191.25448.21.191.2558,190
17548.21.192.0/1948.21.192.1 to 48.21.223.25448.21.223.2558,190
17648.21.224.0/1948.21.224.1 to 48.21.255.25448.21.255.2558,190
17748.22.0.0/1948.22.0.1 to 48.22.31.25448.22.31.2558,190
17848.22.32.0/1948.22.32.1 to 48.22.63.25448.22.63.2558,190
17948.22.64.0/1948.22.64.1 to 48.22.95.25448.22.95.2558,190
18048.22.96.0/1948.22.96.1 to 48.22.127.25448.22.127.2558,190
18148.22.128.0/1948.22.128.1 to 48.22.159.25448.22.159.2558,190
18248.22.160.0/1948.22.160.1 to 48.22.191.25448.22.191.2558,190
18348.22.192.0/1948.22.192.1 to 48.22.223.25448.22.223.2558,190
18448.22.224.0/1948.22.224.1 to 48.22.255.25448.22.255.2558,190
18548.23.0.0/1948.23.0.1 to 48.23.31.25448.23.31.2558,190
18648.23.32.0/1948.23.32.1 to 48.23.63.25448.23.63.2558,190
18748.23.64.0/1948.23.64.1 to 48.23.95.25448.23.95.2558,190
18848.23.96.0/1948.23.96.1 to 48.23.127.25448.23.127.2558,190
18948.23.128.0/1948.23.128.1 to 48.23.159.25448.23.159.2558,190
19048.23.160.0/1948.23.160.1 to 48.23.191.25448.23.191.2558,190
19148.23.192.0/1948.23.192.1 to 48.23.223.25448.23.223.2558,190
19248.23.224.0/1948.23.224.1 to 48.23.255.25448.23.255.2558,190
19348.24.0.0/1948.24.0.1 to 48.24.31.25448.24.31.2558,190
19448.24.32.0/1948.24.32.1 to 48.24.63.25448.24.63.2558,190
19548.24.64.0/1948.24.64.1 to 48.24.95.25448.24.95.2558,190
19648.24.96.0/1948.24.96.1 to 48.24.127.25448.24.127.2558,190
19748.24.128.0/1948.24.128.1 to 48.24.159.25448.24.159.2558,190
19848.24.160.0/1948.24.160.1 to 48.24.191.25448.24.191.2558,190
19948.24.192.0/1948.24.192.1 to 48.24.223.25448.24.223.2558,190
20048.24.224.0/1948.24.224.1 to 48.24.255.25448.24.255.2558,190
20148.25.0.0/1948.25.0.1 to 48.25.31.25448.25.31.2558,190
20248.25.32.0/1948.25.32.1 to 48.25.63.25448.25.63.2558,190
20348.25.64.0/1948.25.64.1 to 48.25.95.25448.25.95.2558,190
20448.25.96.0/1948.25.96.1 to 48.25.127.25448.25.127.2558,190
20548.25.128.0/1948.25.128.1 to 48.25.159.25448.25.159.2558,190
20648.25.160.0/1948.25.160.1 to 48.25.191.25448.25.191.2558,190
20748.25.192.0/1948.25.192.1 to 48.25.223.25448.25.223.2558,190
20848.25.224.0/1948.25.224.1 to 48.25.255.25448.25.255.2558,190
20948.26.0.0/1948.26.0.1 to 48.26.31.25448.26.31.2558,190
21048.26.32.0/1948.26.32.1 to 48.26.63.25448.26.63.2558,190
21148.26.64.0/1948.26.64.1 to 48.26.95.25448.26.95.2558,190
21248.26.96.0/1948.26.96.1 to 48.26.127.25448.26.127.2558,190
21348.26.128.0/1948.26.128.1 to 48.26.159.25448.26.159.2558,190
21448.26.160.0/1948.26.160.1 to 48.26.191.25448.26.191.2558,190
21548.26.192.0/1948.26.192.1 to 48.26.223.25448.26.223.2558,190
21648.26.224.0/1948.26.224.1 to 48.26.255.25448.26.255.2558,190
21748.27.0.0/1948.27.0.1 to 48.27.31.25448.27.31.2558,190
21848.27.32.0/1948.27.32.1 to 48.27.63.25448.27.63.2558,190
21948.27.64.0/1948.27.64.1 to 48.27.95.25448.27.95.2558,190
22048.27.96.0/1948.27.96.1 to 48.27.127.25448.27.127.2558,190
22148.27.128.0/1948.27.128.1 to 48.27.159.25448.27.159.2558,190
22248.27.160.0/1948.27.160.1 to 48.27.191.25448.27.191.2558,190
22348.27.192.0/1948.27.192.1 to 48.27.223.25448.27.223.2558,190
22448.27.224.0/1948.27.224.1 to 48.27.255.25448.27.255.2558,190
22548.28.0.0/1948.28.0.1 to 48.28.31.25448.28.31.2558,190
22648.28.32.0/1948.28.32.1 to 48.28.63.25448.28.63.2558,190
22748.28.64.0/1948.28.64.1 to 48.28.95.25448.28.95.2558,190
22848.28.96.0/1948.28.96.1 to 48.28.127.25448.28.127.2558,190
22948.28.128.0/1948.28.128.1 to 48.28.159.25448.28.159.2558,190
23048.28.160.0/1948.28.160.1 to 48.28.191.25448.28.191.2558,190
23148.28.192.0/1948.28.192.1 to 48.28.223.25448.28.223.2558,190
23248.28.224.0/1948.28.224.1 to 48.28.255.25448.28.255.2558,190
23348.29.0.0/1948.29.0.1 to 48.29.31.25448.29.31.2558,190
23448.29.32.0/1948.29.32.1 to 48.29.63.25448.29.63.2558,190
23548.29.64.0/1948.29.64.1 to 48.29.95.25448.29.95.2558,190
23648.29.96.0/1948.29.96.1 to 48.29.127.25448.29.127.2558,190
23748.29.128.0/1948.29.128.1 to 48.29.159.25448.29.159.2558,190
23848.29.160.0/1948.29.160.1 to 48.29.191.25448.29.191.2558,190
23948.29.192.0/1948.29.192.1 to 48.29.223.25448.29.223.2558,190
24048.29.224.0/1948.29.224.1 to 48.29.255.25448.29.255.2558,190
24148.30.0.0/1948.30.0.1 to 48.30.31.25448.30.31.2558,190
24248.30.32.0/1948.30.32.1 to 48.30.63.25448.30.63.2558,190
24348.30.64.0/1948.30.64.1 to 48.30.95.25448.30.95.2558,190
24448.30.96.0/1948.30.96.1 to 48.30.127.25448.30.127.2558,190
24548.30.128.0/1948.30.128.1 to 48.30.159.25448.30.159.2558,190
24648.30.160.0/1948.30.160.1 to 48.30.191.25448.30.191.2558,190
24748.30.192.0/1948.30.192.1 to 48.30.223.25448.30.223.2558,190
24848.30.224.0/1948.30.224.1 to 48.30.255.25448.30.255.2558,190
24948.31.0.0/1948.31.0.1 to 48.31.31.25448.31.31.2558,190
25048.31.32.0/1948.31.32.1 to 48.31.63.25448.31.63.2558,190
25148.31.64.0/1948.31.64.1 to 48.31.95.25448.31.95.2558,190
25248.31.96.0/1948.31.96.1 to 48.31.127.25448.31.127.2558,190
25348.31.128.0/1948.31.128.1 to 48.31.159.25448.31.159.2558,190
25448.31.160.0/1948.31.160.1 to 48.31.191.25448.31.191.2558,190
25548.31.192.0/1948.31.192.1 to 48.31.223.25448.31.223.2558,190
25648.31.224.0/1948.31.224.1 to 48.31.255.25448.31.255.2558,190

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses